Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 382849 - dev-util/debhelper: please review prefix changes
Summary: dev-util/debhelper: please review prefix changes
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Debian-related package maintainers
URL: http://anonscm.debian.org/gitweb/?p=d...
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: prefix-gx86
  Show dependency tree
 
Reported: 2011-09-13 16:56 UTC by yegle
Modified: 2013-06-18 04:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,11.24 KB, text/plain)
2011-09-13 16:58 UTC, yegle
Details
emerge --info =dev-util/debhelper-8.9.3 (emerge-info.txt,11.38 KB, text/plain)
2011-09-13 16:59 UTC, yegle
Details
patch for debhelper-9.20120608.ebuild (debhelper-9.20120608.ebuild,1.76 KB, text/plain)
2012-08-24 19:37 UTC, Christoph Junghans
Details
patch for debhelper-9.20120608.ebuild (debhelper-9.20120608.ebuild.patch,354 bytes, patch)
2012-08-24 19:55 UTC, Christoph Junghans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yegle 2011-09-13 16:56:05 UTC
debhelper failed to install due to QA concerns.

Seems like a bug in the QA check code? These files listed are indeed installed inside the prefix.

Code in Makefile:

install:                                                                                                                                              
    install -d $(DESTDIR)/usr/bin \
        $(DESTDIR)/usr/share/debhelper/autoscripts \
        $(DESTDIR)$(PERLLIBDIR)/Sequence \
        $(DESTDIR)$(PERLLIBDIR)/Buildsystem
    install dh $(COMMANDS) $(DESTDIR)/usr/bin
    install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
    install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
    install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
    install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

Reproducible: Always
Comment 1 yegle 2011-09-13 16:58:21 UTC
Created attachment 286371 [details]
build.log
Comment 2 yegle 2011-09-13 16:59:10 UTC
Created attachment 286373 [details]
emerge --info =dev-util/debhelper-8.9.3
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-09-13 17:01:00 UTC
debhelper is not keyworded which means that it was never tested/ported to Gentoo Prefix
Comment 4 Christoph Junghans gentoo-dev 2012-08-22 15:23:49 UTC
Please post a diff between your ebuild and the one from gx.
Comment 5 Christoph Junghans gentoo-dev 2012-08-24 19:37:05 UTC
Created attachment 322126 [details]
patch for debhelper-9.20120608.ebuild

The main problem is that /usr is hard coded in the makefile, but PERLLIBDIR not.

default calls "emake DESTDIR=${D}", which will install the scripts outside of the prefix. "emake DESTDIR=${ED}" would fix that, but then the perl stuff is double prefixed as PERLLIBDIR already contains EPREFIX.
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-08-24 19:41:05 UTC
Comment on attachment 322126 [details]
patch for debhelper-9.20120608.ebuild

please attach a unified diff
Comment 7 Christoph Junghans gentoo-dev 2012-08-24 19:55:20 UTC
Created attachment 322130 [details, diff]
patch for debhelper-9.20120608.ebuild

Wrong file.
Comment 8 Christoph Junghans gentoo-dev 2012-08-24 20:03:53 UTC
I just realized:

eval "$(perl -V:installvendorlib )"
emake install DESTDIR="${ED}" \
  PERLLIBDIR="${installvendorlib#${EPREFIX}}/Debian/Debhelper"

instead of default would also work.
Comment 9 Christoph Junghans gentoo-dev 2012-11-13 23:09:06 UTC
A patch to support prefix got merged upstream, so things should be easy after the next release.
Comment 10 Christoph Junghans gentoo-dev 2013-06-18 04:17:44 UTC
+  18 Jun 2013; Christoph Junghans <ottxor@gentoo.org>
+  debhelper-9.20130605.ebuild:
+  added prefix support (bug #382849)